<?php
namespace App\Http\Requests\Traits;

use App\Components\CrmHelper;

trait DefaultCompanyLocationIdInRequest
{
    protected function getValidatorInstance()
    {
        $this->setCompanyId();
        $this->setLocationId();

        return parent::getValidatorInstance(); // TODO: Change the autogenerated stub
    }

    private function setLocationId()
    {
        $this->merge([
            'company_location_id' => CrmHelper::companyLocationId()
        ]);
    }
    private function setCompanyId()
    {
        $this->merge([
            'company_id' => CrmHelper::companyId()
        ]);
    }

    public function getLocationId()
    {
        return $this->all()['company_location_id'];
    }

    public function getCompanyId()
    {
        return $this->all()['company_id'];
    }
}
